/* HELP MODAL */
#help-modal {
  border: none;
  border-radius: 14px;
  padding: 8px;
  background: rgba(0, 0, 0, 0.2);
  width: 80%;
  max-width: 1000px;
  position: absolute;
  z-index: 1002;
}

#help-modal::backdrop {
  background: #000;
  opacity: 0.7;
}

#help-modal-close {
  position: absolute;
  background: url(../../images/close.png) 0 0 no-repeat;
  width: 25px;
  height: 25px;
  display: block;
  text-indent: -9999px;
  top: 1px;
  right: 1px;
  z-index: 101;
  cursor: pointer;
}

.modal-inner {
  display: flex;
  flex-direction: row;
  border-radius: 8px;
  background: var(--white);
  min-height: 560px;
}

.modal-inner-columns {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

#community-inner-column {
  border-bottom: 1px dotted black;
}

#community-inner-column,
#guides-inner-column {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 1em;
  width: 100%;
}

.modal-inner-columns h2 {
  font-weight: lighter;
}

#community-column {
  width: 65%;
  border-right: 1px dotted black;
}

#lumen-column {
  background-color: var(--indigo-500);
  border-radius: 0 6px 6px 0;
  color: var(--white);
}

.ask-icons {
  height: 60px;
  width: 60px;
  display: block;
  margin: 0.5em auto;
}

#community-icon {
  background: url(../../images/ask-community-icon.png) 0 0 no-repeat;
  background-size: 60px;
}

#lumen-icon {
  background: url(../../images/ask-lumen-icon.png) 0 0 no-repeat;
  background-size: 60px;
}

#guides-icon {
  background: url(../../images/ask-guides-icon.png) 0 0 no-repeat;
  background-size: 60px;
}

#community-button-container,
#guides-button-container {
  flex-grow: 1;
  display: flex;
}

#community-button-container a,
#guides-button-container a {
  align-self: center;
}

div#community-button-container,
div#lumen-button-container,
div#guides-button-container {
  margin: 2em;
}

.field {
  padding: 10px;
  width: 280px;
  border: 1px solid #aaa;
  border-bottom: 0;
}

/* Zen desk "Ask Lumen" form */

.zd-help input {
  border-radius: 6px;
  margin-bottom: 4px;
  padding: 10px;
  width: 280px;
  border: 1px solid #aaa;
  border-bottom: 0;
}

.zd-help textarea {
  border-radius: 6px;
  margin-bottom: 4px;
}

.zd-help label {
  display: block;
  margin-bottom: 8px;
  text-align: left;
}

.zd-info {
  margin-bottom: 12px;
}

.zd-info input {
  border-radius: 6px;
  margin-bottom: 4px;
}

.zd-info label {
  display: block;
  margin-top: 4px;
}

.zd-help input::placeholder,
.zd-help textarea::placeholder {
  color: #636566;
}

.modal-buttons {
  background-color: var(--white);
  border: 2px solid var(--indigo-500);
  border-radius: 4px;
  padding: 24px;
  line-height: 0;
  color: #000;
  cursor: pointer;
  white-space: nowrap;
}

.modal-buttons:hover {
  background-color: var(--indigo-500);
  color: #000;
}

#lumen-button {
  background-color: var(--indigo-800);
  color: var(--white);
  border: 1px solid var(--indigo-800);
  padding: 24px;
  line-height: 0;
  cursor: pointer;
}

#lumen-button:hover {
  color: #000;
  background-color: #ffd600;
}

.response-icons {
  min-width: 20px;
  height: 20px;
  margin-right: 10px;
}

#fail-response {
  background-color: #ffbaba;
  color: #d8000c;
  padding: 10px;
  border-radius: 6px;
  margin: 0 1em;
  display: flex;
  align-items: center;
  text-align: left;
  font-size: 12px;
}

#success-response {
  background-color: #dff2bf;
  color: #4f8a10;
  padding: 10px;
  border-radius: 6px;
  margin: 0 1em;
  display: flex;
  align-items: center;
  text-align: left;
  font-size: 12px;
}

#success-icon {
  background: url(../../../ohm/img/success-icon.png) 0 0 no-repeat;
  background-size: 20px;
}

#fail-icon {
  background: url(../../../ohm/img/fail-icon.png) 0 0 no-repeat;
  background-size: 20px;
}

.new-tab-icon {
  height: 10px;
  margin-top: -10px;
}

/* Remove new tab symbol from links (specifically from buttons in help modal) */
#community-button-container a[target="_blank"]:after,
#guides-button-container a[target="_blank"]:after {
  display: none;
}

/* MEDIA QUERIES */
@media (max-width: 1023px) {
  .modal-inner-columns h2 {
    font-size: 28px;
  }

  div#help-modal {
    height: auto;
  }

  .modal-inner {
    flex-direction: column;
    align-items: center;
  }

  .modal-inner-columns {
    margin: 0;
    padding: 0;
  }

  .modal-inner-columns div p {
    margin: 0.5em 3em;
  }

  #community-column,
  #lumen-column {
    width: 100%;
  }

  #lumen-column {
    border-radius: 0 0 6px 6px;
  }

  #lumen-column h2 {
    margin-top: 1em;
  }

  div.ask-icons {
    display: none;
  }

  div#community-inner-column,
  div#guides-inner-column {
    width: 100%;
    margin: 1em 3em;
  }

  div#community-button-container,
  div#lumen-button-container {
    margin: 2.5em;
  }

  div#community-column,
  div#community-inner-column {
    border-right: none;
    border-bottom: 1px dotted black;
  }

  #community-column {
    box-shadow: none;
  }

  #ticket_form {
    width: 80%;
  }

  #zd-help-form {
    margin-bottom: 12px;
  }

  #zd-help-form input {
    border-radius: 6px;
    margin-bottom: 4px;
  }

  #zd-help-form label {
    display: block;
  }
}
